Contents

# Replace Function

Replaces some string by another.

### Syntax:

           Replace (Expression As String, Find As String, Replace As String [, Start = 1 [, Count = -1 [, Compare = True]]]) As String

When needing to pass less parameters, use keywords arguments. Passing values for fewer parameters by position requires to supply values for all parameters before them, optional or not. This ensures that the values are in the correct positions. If you pass the parameters by name - using keyword arguments - you may omit all other intermediate arguments.

### Return value:

Znakovni niz

### Parameters:

Expression: Any string expression that you want to modify.

Find: Any string expression that shall be searched for.

Replace: Any string expression that shall replace the found search string.

Start: Optional numeric expression that indicates the character position where the search starts and also the start of the substring to be returned.

Count: Optional maximum number of times the replace shall be performed. When set to -1, all possible replacements are performed.

Compare: Optional boolean expression that defines the type of comparison. The value of this parameter can be True or False. The default value of True specifies a text comparison that is not case-sensitive. The value of False specifies a binary comparison that is case-sensitive. You can as well use 0 instead of False or 1 instead of True.

### Error codes:

5 Invalid procedure call

### Example:

            MsgBox Replace ("aBbcnnbnn", "b", "$", 1, 1, False)  'returns "aB$cnnbnn"
            REM meaning: "b" should be replaced, but
            REM * only when lowercase (compare=False), hence second occurrence of "b"
            REM * only first (respecting case) occurrence (count=1)
            MsgBox Replace ("ABCDEFGHI", "E", "*", 4)
            REM returns D*FGHI because the search starts at position 4, which is also the start of the returned string.
            MsgBox Replace("aBbcnnbnn", "b", "$£", compare:=False)  'returns "aB$£cnn$£nn"
            REM Replace all (count = -1) "b" with "$£" respecting casing (compare=False) starting from first letter (start=1)

Related Topics

String functions

ScriptForge.String service